<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Plugins/PluginBase/PluginMessageManager.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d37/_plugin_message_manager_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PluginMessageManager.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d37/_plugin_message_manager_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="keyword">class </span>PluginMessageManager <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/da1/class_plugin_base.html">PluginBase</a></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>{</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#ad952a90bbfd22bc539629292b5f1206e">    6</a></span>    <span class="keywordtype">int</span> channelsUsed = 0;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a97a548013e1428d4a6941677b7d4cec9">    7</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref MessageReceiverBase&gt;</a>  channelList[<a class="code hl_variable" href="../../d3/dcd/group___message_c_m_d.html#ga7ff6a802fdc3827fbe8e5454b21d3121">NUM_OF_CHANNELS</a>];</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a6a57b1f0fa694431347be818b3e915f0">    9</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a6a57b1f0fa694431347be818b3e915f0">PluginMessageManager</a>()</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../d3/dcd/group___message_c_m_d.html#ga7ff6a802fdc3827fbe8e5454b21d3121">NUM_OF_CHANNELS</a>; i++)</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>            channelList[i] = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref MessageReceiverBase&gt;</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a34aab7087f1fac4695bffa6b910ef16c">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a34aab7087f1fac4695bffa6b910ef16c">Broadcast</a>(<span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="comment">//Debug.Log(&quot;Broadcasting message on a channel: &quot;+ ToString(index), &quot;Messaging System&quot;);</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref MessageReceiverBase&gt;</a> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a> = channelList[index];</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="comment">//int test = channelList[index].Count();</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>.<a class="code hl_function" href="../../d5/d08/class_layout_holder.html#a0d51235997c4c20219d723bfaa478fa1">Count</a>(); i++)</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_class" href="../../d5/d9b/class_message_receiver_base.html">MessageReceiverBase</a> mrb = <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>.<a class="code hl_function" href="../../d5/d08/class_layout_holder.html#aba1a91dc900585487be6de17e774fcbd">Get</a>(i);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <span class="keywordflow">if</span>( mrb != NULL )</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                <span class="comment">//string s = &quot;Broadcasting message to: &quot;+ToString(mrb);</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>                <span class="comment">//Log(s, LogTemplates.TEMPLATE_BROADCAST);</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                mrb.<a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a0ac2b55d8e94294d7ade6252852c09af">OnReceive</a>(index);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#af2017f3cfe29e32c7026b803e59d4a10">   37</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#af2017f3cfe29e32c7026b803e59d4a10">BroadcastInt</a>(<span class="keywordtype">int</span> index, <span class="keywordtype">int</span> value)</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="comment">//Debug.Log(&quot;Broadcasting message on a channel: &quot;+ ToString(index), &quot;Messaging System&quot;);</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref MessageReceiverBase&gt;</a> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a> = channelList[index];</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="comment">//int test = channelList[index].Count();</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>.<a class="code hl_function" href="../../d5/d08/class_layout_holder.html#a0d51235997c4c20219d723bfaa478fa1">Count</a>(); i++)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <a class="code hl_class" href="../../d5/d9b/class_message_receiver_base.html">MessageReceiverBase</a> mrb = <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>.<a class="code hl_function" href="../../d5/d08/class_layout_holder.html#aba1a91dc900585487be6de17e774fcbd">Get</a>(i);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">if</span>( mrb )</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                <span class="comment">//string s = &quot;Broadcasting message to: &quot;+ToString(mrb);</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                <span class="comment">//Log(s, LogTemplates.TEMPLATE_BROADCAST);</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                mrb.<a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#a8b9b2084c650fde62989523c540660ba">OnReceiveInt</a>(index, value);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a22c8fe73601f6bdf15949f5fea7c317a">   56</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a22c8fe73601f6bdf15949f5fea7c317a">BroadcastFloat</a>(<span class="keywordtype">int</span> index, <span class="keywordtype">float</span> value)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="comment">//Debug.Log(&quot;Broadcasting message on a channel: &quot;+ ToString(index), &quot;Messaging System&quot;);</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref MessageReceiverBase&gt;</a> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a> = channelList[index];</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="comment">//int test = channelList[index].Count();</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>.<a class="code hl_function" href="../../d5/d08/class_layout_holder.html#a0d51235997c4c20219d723bfaa478fa1">Count</a>(); i++)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <a class="code hl_class" href="../../d5/d9b/class_message_receiver_base.html">MessageReceiverBase</a> mrb = <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>.<a class="code hl_function" href="../../d5/d08/class_layout_holder.html#aba1a91dc900585487be6de17e774fcbd">Get</a>(i);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <span class="keywordflow">if</span>( mrb )</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                <span class="comment">//string s = &quot;Broadcasting message to: &quot;+ToString(mrb);</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                <span class="comment">//Log(s, LogTemplates.TEMPLATE_BROADCAST);</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                mrb.<a class="code hl_function" href="../../d5/d9b/class_message_receiver_base.html#acd784df28921b7ae0a161c1928cd0ac6">OnReceiveFloat</a>(index, value);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#ae9f030c46d9b44ff73ad5e24b9bce3eb">   75</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#ae9f030c46d9b44ff73ad5e24b9bce3eb">BroadcastString</a>(<span class="keywordtype">int</span> index, <span class="keywordtype">string</span> value)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="comment">//Debug.Log(&quot;Broadcasting message on a channel: &quot;+ ToString(index), &quot;Messaging System&quot;);</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref MessageReceiverBase&gt;</a> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a> = channelList[index];</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="comment">//int test = channelList[index].Count();</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>.<a class="code hl_function" href="../../d5/d08/class_layout_holder.html#a0d51235997c4c20219d723bfaa478fa1">Count</a>(); i++)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>.<a class="code hl_function" href="../../d5/d08/class_layout_holder.html#aba1a91dc900585487be6de17e774fcbd">Get</a>(i) )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;broadcasting message to: &quot;</span>);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>.<a class="code hl_function" href="../../d5/d08/class_layout_holder.html#aba1a91dc900585487be6de17e774fcbd">Get</a>(i));</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>.<a class="code hl_function" href="../../d5/d08/class_layout_holder.html#aba1a91dc900585487be6de17e774fcbd">Get</a>(i).OnReceiveString(index, value);</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a584131ef305100a770a96e3302379f37">   92</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a584131ef305100a770a96e3302379f37">BroadcastParam</a>(<span class="keywordtype">int</span> index, <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> params)</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="comment">//Debug.Log(&quot;Broadcasting message on a channel: &quot;+ ToString(index), &quot;Messaging System&quot;);</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref MessageReceiverBase&gt;</a> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a> = channelList[index];</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="comment">//int test = channelList[index].Count();</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>.<a class="code hl_function" href="../../d5/d08/class_layout_holder.html#a0d51235997c4c20219d723bfaa478fa1">Count</a>(); i++)</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>.<a class="code hl_function" href="../../d5/d08/class_layout_holder.html#aba1a91dc900585487be6de17e774fcbd">Get</a>(i) )</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>.<a class="code hl_function" href="../../d5/d08/class_layout_holder.html#aba1a91dc900585487be6de17e774fcbd">Get</a>(i).OnReceiveParam(index, params);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#af58f5f162799bb6416741eb0d8e869be">  109</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#af58f5f162799bb6416741eb0d8e869be">Subscribe</a>(<a class="code hl_class" href="../../d5/d9b/class_message_receiver_base.html">MessageReceiverBase</a> receiver, <span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">if</span>(index &gt; channelsUsed) <span class="comment">//this is used to speed up the unsubscribeAll method, instead of all channels, we sweep just those in usage</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            channelsUsed = index;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref MessageReceiverBase&gt;</a> chan = channelList[index];</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">if</span>( chan.Find(receiver) &gt;= 0 ) <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        chan.Insert(receiver);</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a6ade0e92097753bc610f8e8248da2a9e">  120</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a6ade0e92097753bc610f8e8248da2a9e">Unsubscribe</a>(<a class="code hl_class" href="../../d5/d9b/class_message_receiver_base.html">MessageReceiverBase</a> receiver, <span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref MessageReceiverBase&gt;</a> chan = channelList[index];</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordtype">int</span> i = chan.Find(receiver);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="keywordflow">if</span>( i &gt;= 0 )</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        {</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            chan.Remove(i);</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a7f23c230f28b7b3f9ff2391c12e43cde">  130</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a7f23c230f28b7b3f9ff2391c12e43cde">UnsubscribeAll</a>(<a class="code hl_class" href="../../d5/d9b/class_message_receiver_base.html">MessageReceiverBase</a> receiver)<span class="comment">//REWORK.V: this is slow, should be made quicker(by registering all subscribers in a separate array upon their subscription and then going through this array instead)</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <span class="comment">//GetGame().ProfilerStart(&quot;UnsubscribeAll&quot;);</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt;= <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#ad952a90bbfd22bc539629292b5f1206e">channelsUsed</a>; i++)</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref MessageReceiverBase&gt;</a> chan = channelList[i];</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            <span class="keywordtype">int</span> c = chan.Find(receiver);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            <span class="keywordflow">if</span>( c &gt;= 0 )</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>                chan.Remove(c);</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <span class="comment">//GetGame().ProfilerStop(&quot;UnsubscribeAll&quot;);</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>}</div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="aclass_layout_holder_html_a0d51235997c4c20219d723bfaa478fa1"><div class="ttname"><a href="../../d5/d08/class_layout_holder.html#a0d51235997c4c20219d723bfaa478fa1">LayoutHolder::Count</a></div><div class="ttdeci">int Count()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3c/_container_8c_source.html#l00302">Container.c:302</a></div></div>
<div class="ttc" id="aclass_layout_holder_html_aba1a91dc900585487be6de17e774fcbd"><div class="ttname"><a href="../../d5/d08/class_layout_holder.html#aba1a91dc900585487be6de17e774fcbd">LayoutHolder::Get</a></div><div class="ttdeci">LayoutHolder Get(int x)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3c/_container_8c_source.html#l00832">Container.c:832</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html">MessageReceiverBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d10/_message_receiver_base_8c_source.html#l00001">MessageReceiverBase.c:2</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a0ac2b55d8e94294d7ade6252852c09af"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a0ac2b55d8e94294d7ade6252852c09af">MessageReceiverBase::OnReceive</a></div><div class="ttdeci">void OnReceive(int channel)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d10/_message_receiver_base_8c_source.html#l00007">MessageReceiverBase.c:7</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_a8b9b2084c650fde62989523c540660ba"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#a8b9b2084c650fde62989523c540660ba">MessageReceiverBase::OnReceiveInt</a></div><div class="ttdeci">void OnReceiveInt(int channel, int value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d10/_message_receiver_base_8c_source.html#l00008">MessageReceiverBase.c:8</a></div></div>
<div class="ttc" id="aclass_message_receiver_base_html_acd784df28921b7ae0a161c1928cd0ac6"><div class="ttname"><a href="../../d5/d9b/class_message_receiver_base.html#acd784df28921b7ae0a161c1928cd0ac6">MessageReceiverBase::OnReceiveFloat</a></div><div class="ttdeci">void OnReceiveFloat(int channel, float value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d10/_message_receiver_base_8c_source.html#l00009">MessageReceiverBase.c:9</a></div></div>
<div class="ttc" id="aclass_plugin_base_html"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html">PluginBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dbd/_plugin_base_8c_source.html#l00001">PluginBase.c:2</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a22c8fe73601f6bdf15949f5fea7c317a"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a22c8fe73601f6bdf15949f5fea7c317a">PluginBase::BroadcastFloat</a></div><div class="ttdeci">void BroadcastFloat(int index, float value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d37/_plugin_message_manager_8c_source.html#l00056">PluginMessageManager.c:56</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a34aab7087f1fac4695bffa6b910ef16c"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a34aab7087f1fac4695bffa6b910ef16c">PluginBase::Broadcast</a></div><div class="ttdeci">void Broadcast(int index)</div><div class="ttdoc">Broadcasts an empty message on a channel provided in the 'index' parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d37/_plugin_message_manager_8c_source.html#l00018">PluginMessageManager.c:18</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a584131ef305100a770a96e3302379f37"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a584131ef305100a770a96e3302379f37">PluginBase::BroadcastParam</a></div><div class="ttdeci">void BroadcastParam(int index, Param params)</div><div class="ttdoc">Broadcasts a message on a channel provided in the 'index' parameter, passes the Param type object to ...</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d37/_plugin_message_manager_8c_source.html#l00092">PluginMessageManager.c:92</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a6a57b1f0fa694431347be818b3e915f0"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a6a57b1f0fa694431347be818b3e915f0">PluginBase::PluginMessageManager</a></div><div class="ttdeci">void PluginMessageManager()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d37/_plugin_message_manager_8c_source.html#l00009">PluginMessageManager.c:9</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a6ade0e92097753bc610f8e8248da2a9e"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a6ade0e92097753bc610f8e8248da2a9e">PluginBase::Unsubscribe</a></div><div class="ttdeci">void Unsubscribe(MessageReceiverBase receiver, int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d37/_plugin_message_manager_8c_source.html#l00120">PluginMessageManager.c:120</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a7f23c230f28b7b3f9ff2391c12e43cde"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a7f23c230f28b7b3f9ff2391c12e43cde">PluginBase::UnsubscribeAll</a></div><div class="ttdeci">void UnsubscribeAll(MessageReceiverBase receiver)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d37/_plugin_message_manager_8c_source.html#l00130">PluginMessageManager.c:130</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_ad952a90bbfd22bc539629292b5f1206e"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#ad952a90bbfd22bc539629292b5f1206e">PluginBase::channelsUsed</a></div><div class="ttdeci">int channelsUsed</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d37/_plugin_message_manager_8c_source.html#l00006">PluginMessageManager.c:6</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_ae9f030c46d9b44ff73ad5e24b9bce3eb"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#ae9f030c46d9b44ff73ad5e24b9bce3eb">PluginBase::BroadcastString</a></div><div class="ttdeci">void BroadcastString(int index, string value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d37/_plugin_message_manager_8c_source.html#l00075">PluginMessageManager.c:75</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_af2017f3cfe29e32c7026b803e59d4a10"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#af2017f3cfe29e32c7026b803e59d4a10">PluginBase::BroadcastInt</a></div><div class="ttdeci">void BroadcastInt(int index, int value)</div><div class="ttdoc">Broadcasts a message on a channel provided in the 'index' parameter, passes the Int variable.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d37/_plugin_message_manager_8c_source.html#l00037">PluginMessageManager.c:37</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_af58f5f162799bb6416741eb0d8e869be"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#af58f5f162799bb6416741eb0d8e869be">PluginBase::Subscribe</a></div><div class="ttdeci">void Subscribe(MessageReceiverBase receiver, int index)</div><div class="ttdoc">Subscribes an object to listen to messages on a channel provided in the 'index' parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d37/_plugin_message_manager_8c_source.html#l00109">PluginMessageManager.c:109</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
<div class="ttc" id="agroup___message_c_m_d_html_ga7ff6a802fdc3827fbe8e5454b21d3121"><div class="ttname"><a href="../../d3/dcd/group___message_c_m_d.html#ga7ff6a802fdc3827fbe8e5454b21d3121">NUM_OF_CHANNELS</a></div><div class="ttdeci">const int NUM_OF_CHANNELS</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00305">constants.c:305</a></div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_2b66b8ed1afe82646c8af9c779a96cad.html">Plugins</a></li><li class="navelem"><a class="el" href="../../dir_bfbe43b663634ae31e97616eeb4b3740.html">PluginBase</a></li><li class="navelem"><a class="el" href="../../d5/d37/_plugin_message_manager_8c.html">PluginMessageManager.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
